/*
 * dstore.c - AIX global storage for lsof
 *
 * V. Abell
 * Purdue University Computing Center
 */


/*
 * Copyright 1996 Purdue Research Foundation, West Lafayette, Indiana
 * 47907.  All rights reserved.
 *
 * Written by Victor A. Abell
 *
 * This software is not subject to any license of the American Telephone
 * and Telegraph Company or the Regents of the University of California.
 *
 * Permission is granted to anyone to use this software for any purpose on
 * any computer system, and to alter it and redistribute it freely, subject
 * to the following restrictions:
 *
 * 1. Neither the authors nor Purdue University are responsible for any
 *    consequences of the use of this software.
 *
 * 2. The origin of this software must not be misrepresented, either by
 *    explicit claim or by omission.  Credit to the authors and Purdue
 *    University must appear in documentation and sources.
 *
 * 3. Altered versions must be plainly marked as such, and must not be
 *    misrepresented as being the original software.
 *
 * 4. This notice may not be removed or altered.
 */

#ifndef lint
static char copyright[] =
"@(#) Copyright 1996 Purdue Research Foundation.\nAll rights reserved.\n";
static char *rcsid = "$Id: dstore.c,v 1.6 99/11/10 15:00:21 abe Exp $";
#endif


#include "lslk.h"

/*
 * Global variables
 */

int Kd = -1;			/* /dev/kmem file descriptor */
struct nlist Knl[] = {		/* kernel name list entries */
	{ "hinode", 		0, 0, 0, NULL, NULL },
	{ "nfs_syms", 		0, 0, 0, NULL, NULL }
};

#if	AIXV>3250
struct nlist Nl[] = {		/* N_UNIX name list entries */
	{ "nhino", 		0, 0, 0, NULL, NULL },
	{ NULL, 		0, 0, 0, NULL, NULL }
};
#endif	/* AIXV>3250 */
